#!/usr/bin/env python3

import os

# further options may be added here (e.g. '("wpa", "on")')
basicOptions = dict([])

def writeFile(file, data):
	text_file = open(file, "w")
	text_file.write(data)
	text_file.close()

def main():
	current_dir = os.getcwd() + "/"
	for file in os.listdir(current_dir):
		if file.endswith(".ll"):
			phasarConfig = "module = " + current_dir + file + "\n"
			phasarConfig += "data_flow_analysis = plugin\n"
			phasarConfig += "analysis_plugin = " + current_dir + "../plugins/MyIFDSProblem.so\n"
			for key, value in basicOptions.items():
				phasarConfig += str(key) + " = " + str(value) + "\n"
			writeFile(file + ".conf", phasarConfig)

main()
